CLEAR SCREEN;
set echo off
set autoprint off
set showmode off
rem set term off
set ver off
SET COLSEP '| '
set sqlterminator ';'
spool tcr_install.log
PROMPT ;
PROMPT                IBM INSTALLATION SCRIPT                                  ;

PROMPT ;
PROMPT The script will populate resources to ITM schema                        ;
PROMPT ;
PROMPT The parameters: 
PROMPT  - ITMUSER user and password (needed priviliges to add new user)
PROMPT  - TNS NAME
PROMPT  - default tablespace name for new user
PROMPT ;

ACCEPT ITM_USER PROMPT 'Enter ITMUSER USERNAME: '
ACCEPT ITM_PASS PROMPT 'Enter ITMUSER PASS:     ' HIDE
ACCEPT TNS_NAME PROMPT 'Enter TNS NAME:     ' 

PROMPT Checking connection ...
conn &ITM_USER/&ITM_PASS@&TNS_NAME;
PROMPT ;
PROMPT Press Enter to continue or CTRL+C if connection error;
ACCEPT CONFIRM_VAR;
 
PROMPT ;
ACCEPT DEFAULT_TBSPC PROMPT 'Enter tablespace name for ITMUSER table: '


PROMPT Creating table ManagedSystem;
@@create_table.sql &DEFAULT_TBSPC

PROMPT Creating procedures;
@@create_procedure.sql

 
PROMPT Generating resources;
begin
  POPULATE_OSAGENTS(upper('&ITM_USER')); 
end;
/
 
spool off
 



