@echo off

set TCR_DEFAULT_DIR=C:\IBM\tivoli\tip
set JEXEC=
set TRACE=-Dlogtrace=1

if [%1]==[] goto :CHECK_DEFAULT

call :CHECK_TCR %1%
if "%JEXEC%"=="" goto :END_FAIL 
goto :EXECUTE_INSTALLER

:CHECK_DEFAULT
	call :CHECK_TCR %TCR_DEFAULT_DIR%	
	if not "%JEXEC%"=="" goto :EXECUTE_INSTALLER 
	goto :END_USAGE

:CHECK_TCR
	"%1%\products\tcr\Cognos\c8\bin\jre\1.5.0\bin\java.exe" -version > NUL 2>NUL
	if %ERRORLEVEL% EQU 0 set JEXEC="%1\products\tcr\Cognos\c8\bin\jre\1.5.0\bin\javaw.exe"
	goto :eof

:EXECUTE_INSTALLER
      set JAVACMD="%JEXEC%"
	"%JEXEC%" %TRACE% -Dinstall.property.file=osagents_tcr_install.properties -jar report_installer.jar
	goto :END

:END_USAGE
	echo "Usage: setup.bat <TCR_home_dir>"
	goto :END

:END_FAIL
	echo Unable to determine Java Runtime Environment in Tivoli Common Reporting directory. Enter valid Tivoli Common Reporting installation location.
	echo.

:END
